View Issue Details

IDProjectCategoryView StatusLast Update
0011765ScribusGeneralpublic2015-11-03 01:11
ReporterJLuc Assigned Tocbradney  
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.5.0svn 
Target Version1.5.1Fixed in Version1.5.1svn 
Summary0011765: crash when deleting footnote's text
DescriptionDeleting a footnote's text crashes scribus
Steps To Reproducecreate doc
create text frame
insert paragraph
insert footnote in the middle of paragraph
type text for footnote
delete whole texte note (including notecall recall)
see crash

Additional Informationgdb trace...

Starting program: /usr/bin/scribus-trunk
warning: no loadable sections found in added symbol-file system-supplied DSO at 0x7ffff7ffa000
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7fffdfb26700 (LWP 9038)]
[New Thread 0x7fffdf325700 (LWP 9039)]
[New Thread 0x7fffddeb4700 (LWP 9040)]
"fr_FR.UTF-8"
[New Thread 0x7fffcfc67700 (LWP 9043)]
[New Thread 0x7fffbeac5700 (LWP 9050)]
[Thread 0x7fffbeac5700 (LWP 9050) exited]
[New Thread 0x7fffbeac5700 (LWP 9053)]
[New Thread 0x7fffb48e1700 (LWP 9057)]
[Thread 0x7fffbeac5700 (LWP 9053) exited]
[Thread 0x7fffb48e1700 (LWP 9057) exited]
[Thread 0x7fffddeb4700 (LWP 9040) exited]
storytext::charstyle: access at end of text %i 13
storytext::charstyle: access at end of text %i 12

Program received signal SIGSEGV, Segmentation fault.
0x00000000030fd7f0 in ?? ()
(gdb) bt
#0 0x00000000030fd7f0 in ?? ()
0000001 0x0000000000c2bdb3 in ScribusMainWindow::keyPressEvent(QKeyEvent*) ()
0000002 0x0000000000d58799 in ScribusView::eventFilter(QObject*, QEvent*) ()
0000003 0x00007ffff44b2028 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000004 0x00007ffff4f6385f in QApplicationPrivate::notify_helper(QObject*, QEvent*)
    () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000005 0x00007ffff4f68dd5 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000006 0x00007ffff44b1e9c in QCoreApplication::notifyInternal(QObject*, QEvent*)
    () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000007 0x00007ffff5007c49 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000008 0x00007ffff50080bb in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000009 0x00007ffff4fe2637 in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000010 0x00007ffff500c0d2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000011 0x00007fffee1e9d13 in g_main_context_dispatch ()
   from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000012 0x00007fffee1ea060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000013 0x00007fffee1ea124 in g_main_context_iteration ()
   from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000014 0x00007ffff44e13bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
---Type <return> to continue, or q <return> to quit---
0000015 0x00007ffff500bd5e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000016 0x00007ffff44b0c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000017 0x00007ffff44b0ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000018 0x00007ffff44b5f67 in QCoreApplication::exec() ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000019 0x00000000011b6f0b in mainApp(int, char**) ()
0000020 0x00000000011b6e98 in main ()
TagsHOST-Oman
PatchYes

Relationships

child of 0012496 acknowledged Metabug: Marks & Footnotes & Weld (1.5.0.svn) 

Activities

JLuc

2013-10-05 15:15

developer   ~0030671

bt trace done with endofaugust2013 scribus-trunk

JLuc

2013-10-05 15:21

developer   ~0030672

crash only happens with last note

when there are other notes on same frame, then it doesnt crash.

FirasH

2013-10-06 22:37

developer   ~0030681

I'm testing the latest SVN available now (18530) and had the same issue deleting footnotes.

cezaryece

2013-10-11 12:55

developer   ~0030719

OK, found it.
Avox making patch for private ScText brokes (I think by accidence and/or by not fully understanding mark`s and notes code) some things with marks.

JLuc - I ask you for testing my footnotes_fix branch on GIT.
It is quite massive fix for footnotes.
Focus on footnotes only - endnotes will be tested after we make sure footnotes are working stable.

JLuc

2013-10-18 19:15

developer   ~0030738

sorry cezary its not fixed
here is crash log

...
[Thread 0xb02f5b40 (LWP 29412) exited]
storytext::charstyle: access at end of text %i 13
storytext::charstyle: access at end of text %i 12
storytext::charstyle: access at end of text %i 11
storytext::charstyle: access at end of text %i 17
storytext::charstyle: access at end of text %i 16

Program received signal SIGSEGV, Segmentation fault.
0x0a2fe018 in ?? ()
(gdb) bt
#0 0x0a2fe018 in ?? ()
0000001 0x08b93f12 in PropertiesPalette_Shape::handleSelectionChanged (this=0x972b0d0)
    at /home/jluc1304/dev/git/Scribus/scribus/ui/propertiespalette_shape.cpp:231
0000002 0x0833ff7f in PropertiesPalette_Shape::qt_static_metacall (_o=0x972b0d0,
    _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xbfffdcec)
    at /home/jluc1304/dev/build/buildfootnotes_fix/scribus/ui/moc_propertiespalette_shape.cpp:128
0000003 0xb7cb3333 in QMetaObject::activate(QObject*, int, int, void**) ()
   from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000004 0xb7cb3d7b in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) ()
   from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000005 0x08319167 in ScribusDoc::docChanged (this=0x9ff4468)
    at /home/jluc1304/dev/build/buildfootnotes_fix/scribus/moc_scribusdoc.cpp:973
0000006 0x0884de56 in ScribusDoc::changed (this=0x9ff4468)
    at /home/jluc1304/dev/git/Scribus/scribus/scribusdoc.cpp:13426
0000007 0x08870a50 in DocUpdater::changed (this=0x9c0c458, it=0x9df9e28, doLayout=false)
    at /home/jluc1304/dev/git/Scribus/scribus/scribusdoc.cpp:187
0000008 0x08882287 in MassObservable<PageItem*>::updateNow (this=0x9ff50d4, what=0x9ac9330)
    at /home/jluc1304/dev/git/Scribus/scribus/observable.h:272
0000009 0x0887ce12 in MassObservable<PageItem*>::update (this=0x9ff50d4, what=0x9df9e28)
    at /home/jluc1304/dev/git/Scribus/scribus/observable.h:252
0000010 0x0830ce9f in SingleObservable<PageItem>::update (this=0x9df9e48)
    at /home/jluc1304/dev/build/buildfootnotes_fix/scribus/../../../git/Scribus/scribus/observable.h:178
0000011 0x087bc17a in ScribusMainWindow::setAppMode (this=0x92e2fb0, mode=6)
    at /home/jluc1304/dev/git/Scribus/scribus/scribus.cpp:6825
0000012 0x0888cd58 in ScribusView::requestMode (this=0x952f3e0, appMode=6)
    at /home/jluc1304/dev/git/Scribus/scribus/scribusview.cpp:676
0000013 0x083ee0fa in CanvasMode_Edit::mousePressEvent (this=0x9bc5298, m=0xbfffe838)
    at /home/jluc1304/dev/git/Scribus/scribus/canvasmode_edit.cpp:552
0000014 0x088a69f1 in ScribusView::eventFilter (this=0x952f3e0, obj=0x9fedbe8, event=0xbfffe838)
    at /home/jluc1304/dev/git/Scribus/scribus/scribusview.cpp:4367
0000015 0xb7c8b0cc in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000016 0xb753f90d in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
0000017 0xb7541fc8 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
0000018 0xb7c8aebe in QCoreApplication::notifyInternal(QObject*, QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000019 0xb75457b1 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
---Type <return> to continue, or q <return> to quit---
0000020 0xb75a2b65 in ?? () from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
0000021 0xb75a361c in ?? () from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
0000022 0xb753f93c in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
0000023 0xb7541bce in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
0000024 0xb7c8aebe in QCoreApplication::notifyInternal(QObject*, QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000025 0xb7128eff in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*)
    () from /usr/lib/i386-linux-gnu/libQt5Gui.so.5
0000026 0xb712be80 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /usr/lib/i386-linux-gnu/libQt5Gui.so.5
0000027 0xb7118a66 in QWindowSystemInterface::sendWindowSystemEventsImplementation(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQt5Gui.so.5
0000028 0xb7118acf in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>)
    () from /usr/lib/i386-linux-gnu/libQt5Gui.so.5
0000029 0xb173a3a1 in ?? () from /usr/lib/i386-linux-gnu/qt5/plugins/platforms/libqxcb.so
0000030 0xb62b83b3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
0000031 0xb62b8750 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
0000032 0xb62b8831 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
0000033 0xb7cd936f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000034 0xb173a5f6 in ?? () from /usr/lib/i386-linux-gnu/qt5/plugins/platforms/libqxcb.so
0000035 0xb7c89746 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000036 0xb7c89bac in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000037 0xb7c8fdf2 in QCoreApplication::exec() () from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000038 0xb7123634 in QGuiApplication::exec() () from /usr/lib/i386-linux-gnu/libQt5Gui.so.5
0000039 0xb753e664 in QApplication::exec() () from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
0000040 0x08cd97fe in mainApp (argc=1, argv=0xbffff2c4)
    at /home/jluc1304/dev/git/Scribus/scribus/main_nix.cpp:86
0000041 0x08cd9787 in main (argc=1, argv=0xbffff2c4)
    at /home/jluc1304/dev/git/Scribus/scribus/main_nix.cpp:54

cezaryece

2013-10-19 14:58

developer   ~0030744

Branch is fixed.
Pull, build and test again.

JLuc

2013-10-20 10:04

developer   ~0030749

Last edited: 2013-10-20 10:46

View 4 revisions

Hmm amof Sometimes everything works fine and last long with no issues
but i still have had crashes when deleting the whole footnote... when deleting is done with CTRL+X.

Steps to reproduce : create doc, create text frame, fill with lorem ipsum, insert footnote in the middle of lorem ipsum, type text for footnote, select all text of footnote, CTRL+X

Here is trace :

[New Thread 0xab781b40 (LWP 1766)]
[Thread 0xab781b40 (LWP 1766) exited]
QBackingStore::flush() called with non-exposed window, behavior is undefined
QBackingStore::flush() called with non-exposed window, behavior is undefined
QBackingStore::flush() called with non-exposed window, behavior is undefined
[Thread 0xb02f5b40 (LWP 1752) exited]
ASSERT failure in QList<T>::at: "index out of range", file /usr/include/qt5/QtCore/qlist.h, line 454

Program received signal SIGABRT, Aborted.
0xb7fdd424 in __kernel_vsyscall ()
(gdb) bt
#0 0xb7fdd424 in __kernel_vsyscall ()
0000001 0xb6945b1f in raise () from /lib/i386-linux-gnu/libc.so.6
0000002 0xb69490b3 in abort () from /lib/i386-linux-gnu/libc.so.6
0000003 0xb7ade553 in QMessageLogger::fatal(char const*, ...) const ()
   from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000004 0xb7adb143 in qt_assert_x(char const*, char const*, char const*, int) ()
   from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000005 0x08d0b0c2 in QList<ScText*>::at (this=0x919e4e0, i=-1)
    at /usr/include/qt5/QtCore/qlist.h:454
0000006 0x08d02ea3 in StoryText::hasMarkType (this=0x9df04f8, pos=-1,
    mt=MARKNoteFrameType)
    at /home/jluc1304/dev/git/Scribus/scribus/text/storytext.cpp:833
0000007 0x0856f62e in PageItem_TextFrame::handleModeEditKey (this=0x9df0240,
    k=0xbfffee44, keyRepeat=@0x92e3bdb: true)
    at /home/jluc1304/dev/git/Scribus/scribus/pageitem_textframe.cpp:4701
0000008 0x087891a4 in ScribusMainWindow::keyPressEvent (this=0x92e3a18,
    k=0xbfffee44) at /home/jluc1304/dev/git/Scribus/scribus/scribus.cpp:1718
0000009 0x088a6bdc in ScribusView::eventFilter (this=0x9f8b920, obj=0x9f8b920,
    event=0xbfffee44)
    at /home/jluc1304/dev/git/Scribus/scribus/scribusview.cpp:4402
0000010 0xb7c8b0cc in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000011 0xb753f90d in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
0000012 0xb754282e in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
0000013 0xb7c8aebe in QCoreApplication::notifyInternal(QObject*, QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000014 0xb75a098c in ?? () from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
0000015 0xb75a3634 in ?? () from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
0000016 0xb753f93c in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
0000017 0xb7541bce in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
0000018 0xb7c8aebe in QCoreApplication::notifyInternal(QObject*, QEvent*) ()
   from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000019 0xb712889d in QGuiApplicationPrivate::processKeyEvent(QWindowSystemInterfacePrivate::KeyEvent*) () from /usr/lib/i386-linux-gnu/libQt5Gui.so.5
0000020 0xb712bf10 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) ()
   from /usr/lib/i386-linux-gnu/libQt5Gui.so.5
0000021 0xb7118a66 in QWindowSystemInterface::sendWindowSystemEventsImplementation(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/i386-linux-gnu/libQt5Gui.so.5
0000022 0xb7118acf in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQt5Gui.so.5
0000023 0xb173a3a1 in ?? ()
   from /usr/lib/i386-linux-gnu/qt5/plugins/platforms/libqxcb.so
0000024 0xb62b83b3 in g_main_context_dispatch ()
   from /lib/i386-linux-gnu/libglib-2.0.so.0
0000025 0xb62b8750 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
0000026 0xb62b8831 in g_main_context_iteration ()
   from /lib/i386-linux-gnu/libglib-2.0.so.0
0000027 0xb7cd936f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000028 0xb173a5f6 in ?? ()
   from /usr/lib/i386-linux-gnu/qt5/plugins/platforms/libqxcb.so
0000029 0xb7c89746 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000030 0xb7c89bac in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000031 0xb7c8fdf2 in QCoreApplication::exec() ()
   from /usr/lib/i386-linux-gnu/libQt5Core.so.5
0000032 0xb7123634 in QGuiApplication::exec() ()
   from /usr/lib/i386-linux-gnu/libQt5Gui.so.5
0000033 0xb753e664 in QApplication::exec() ()
   from /usr/lib/i386-linux-gnu/libQt5Widgets.so.5
0000034 0x08cd9812 in mainApp (argc=1, argv=0xbffff2c4)
    at /home/jluc1304/dev/git/Scribus/scribus/main_nix.cpp:86
0000035 0x08cd979b in main (argc=1, argv=0xbffff2c4)
    at /home/jluc1304/dev/git/Scribus/scribus/main_nix.cpp:54

JLuc

2013-10-20 10:18

developer   ~0030751

Last edited: 2013-10-20 10:55

View 3 revisions

It's when selecting footnote recall (the reminder "1)" at the begining of the footnote frame) + deleting it with CTRL+X

JLuc

2013-10-23 13:43

developer   ~0030764

Last edited: 2013-10-23 21:12

View 3 revisions

OK !

With today's footnotes_fix GIT branch, it seems to be totally fixed since I cannot reproduce this crash.

[Edit] : This one is fixed but not another very closely related : deleting *main* text causes crahs for document resulting of 0011661 (numbering footnotes). Find SLA dans report in 0011661

cezaryece

2013-10-23 19:56

developer   ~0030768

Seems to be fixed in footnotes_fix branch

JLuc

2013-10-23 21:11

developer   ~0030770

Last edited: 2013-10-23 21:13

View 2 revisions

Cezariece : This one is fixed but not another very closely related : deleting *main* text causes crahs for document resulting of 0011661 (numbering footnotes). Find SLA and bt report in 0011661

cbradney

2013-10-24 19:12

administrator   ~0030774

Jluc.. is this fixed in SVN? Otherwise it should not be marked as resolved. This tracker is not being made available for fixes to code not destined for Scribus inclusion

JLuc

2013-10-24 19:25

developer   ~0030775

It's work in progress but no patch is available yet for svn because cezary tries to fix other bugs related to footnotes first.

Kunda

2015-05-06 20:09

manager   ~0035052

Changed severity to 'Crash'

JLuc

2015-10-16 17:31

developer   ~0036686

Cezary's work has stopped. No patch is available.

Kunda

2015-10-21 16:21

manager   ~0036784

aliyousuf,
Please pay attention:
1) what platform are you testing on ? Linux, OSX, Windows?
2) What version of Scribus are you testing?
3) What revision of Scribus are you testing against?
4) What version of Qt are you using?
Please include that in your feedback.

JLuc

2015-10-22 16:41

developer   ~0036832

Hello aliyousuf

I tested your patch and i found that it doesnt fix the issue. I still got the same issue "crash 11". Find the gdb backtrace thereafter.

i wonder why do you update 'start' and when you have to update it, why dont you update it earlyer when stop is allready updated.

Here is gdb backtrace :


Program received signal SIGSEGV, Segmentation fault.
0x00007ffff31c0eb8 in main_arena () from /lib/x86_64-linux-gnu/libc.so.6
(gdb) bt
#0 0x00007ffff31c0eb8 in main_arena () from /lib/x86_64-linux-gnu/libc.so.6
0000001 0x000000000088dcf5 in CanvasMode_Edit::keyPressEvent (this=0x3b05b70,
    e=0x7fffffffdba0)
    at /home/jluc/dev/scribus/svn/scribus/canvasmode_edit.cpp:154
0000002 0x0000000000db6c9d in ScribusView::eventFilter (this=0x43e8e10,
    obj=0x43e8e10, event=0x7fffffffdba0)
    at /home/jluc/dev/scribus/svn/scribus/scribusview.cpp:4180
0000003 0x00007ffff761b4d6 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /localbin/Qt5.5.0/5.5/gcc_64/lib/libQt5Core.so.5
0000004 0x00007ffff6c614bc in QApplicationPrivate::notify_helper(QObject*, QEvent*)
    () from /localbin/Qt5.5.0/5.5/gcc_64/lib/libQt5Widgets.so.5
0000005 0x00007ffff6c6646d in QApplication::notify(QObject*, QEvent*) ()
   from /localbin/Qt5.5.0/5.5/gcc_64/lib/libQt5Widgets.so.5
0000006 0x00007ffff761b6a3 in QCoreApplication::notifyInternal(QObject*, QEvent*)
    () from /localbin/Qt5.5.0/5.5/gcc_64/lib/libQt5Core.so.5
0000007 0x00007ffff6cbf163 in ?? ()
   from /localbin/Qt5.5.0/5.5/gcc_64/lib/libQt5Widgets.so.5
0000008 0x00007ffff6c614dc in QApplicationPrivate::notify_helper(QObject*, QEvent*)
    () from /localbin/Qt5.5.0/5.5/gcc_64/lib/libQt5Widgets.so.5
0000009 0x00007ffff6c66640 in QApplication::notify(QObject*, QEvent*) ()
   from /localbin/Qt5.5.0/5.5/gcc_64/lib/libQt5Widgets.so.5
0000010 0x00007ffff761b6a3 in QCoreApplication::notifyInternal(QObject*, QEvent*)
    () from /localbin/Qt5.5.0/5.5/gcc_64/lib/libQt5Core.so.5
0000011 0x00007ffff63e4f4e in QGuiApplicationPrivate::processKeyEvent(QWindowSystemInterfacePrivate::KeyEvent*) ()
   from /localbin/Qt5.5.0/5.5/gcc_64/lib/libQt5Gui.so.5
0000012 0x00007ffff63e9a65 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) ()
   from /localbin/Qt5.5.0/5.5/gcc_64/lib/libQt5Gui.so.5
0000013 0x00007ffff63cec4f in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /localbin/Qt5.5.0/5.5/gcc_64/lib/libQt5Gui.so.5
0000014 0x00007fffe8521170 in ?? ()
   from /localbin/Qt5.5.0/5.5/gcc_64/plugins/platforms/../../lib/libQt5XcbQpa.so.5
0000015 0x00007fffef089e04 in g_main_context_dispatch ()
   from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000016 0x00007fffef08a048 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000017 0x00007fffef08a0ec in g_main_context_iteration ()
   from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000018 0x00007ffff7670ae7 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /localbin/Qt5.5.0/5.5/gcc_64/lib/libQt5Core.so.5
0000019 0x00007ffff7619252 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /localbin/Qt5.5.0/5.5/gcc_64/lib/libQt5Core.so.5
0000020 0x00007ffff7620d3d in QCoreApplication::exec() ()
   from /localbin/Qt5.5.0/5.5/gcc_64/lib/libQt5Core.so.5
0000021 0x0000000001277dea in mainApp (argc=1, argv=0x7fffffffe048)
    at /home/jluc/dev/scribus/svn/scribus/main_nix.cpp:78
0000022 0x0000000001277d68 in main (argc=1, argv=0x7fffffffe048)
    at /home/jluc/dev/scribus/svn/scribus/main_nix.cpp:54

user5122

2015-10-23 16:37

  ~0036865

This seems a different backtrace from what we were seeing, looks like Ali fixed a slightly different bug. The crash he was fixing happens when you select the whole footnote frame (not the text inside it) and delete it, but from what I see this is not the issue being reported here. Ali, are you sure this is the correct bug report?

aliyousuf

2015-10-23 18:11

reporter   ~0036872

yes

aliyousuf

2015-10-23 18:12

reporter   ~0036873

The crash I was fixing happens when you select the whole footnote frame (not the text inside it) and delete it

JLuc

2015-10-23 18:59

developer   ~0036875

Please post your patches on the related bug page. Dont post patches on not-related bug pages.

Is the bug you describe described on some page of the mantis bug tracker ?
Then please post your patch on this other page.

PS : I should not discuss this other bug here, but i dont reproduce it. So please describe carefully how to reproduce it (on that other page).

aliyousuf

2015-10-26 13:54

reporter   ~0036945

Last edited: 2015-10-26 13:58

View 3 revisions

I ask about this problem,
when I can find the selection text ...new I look at pageitem_textframe.cpp

I see that from this
create doc
create text frame
insert paragraph
insert footnote in the middle of paragraph --> 1)aliyousuf
insert other footnote in paragraph --> 2)Ahmed
type text for footnote
delete whole texte note (including notecall recall)
see crash

when select footnote two with number of notecall recall it delete(no crach) --> 2)Ahmed

new we have 1)aliyousuf in footnote frame now if select this footnote with number of notecal and delete (see crash )

I think the problem is in length of text
as example when I select [ 2)Ahmed ] and delete--> the start != 0 and end = number (no crash )
and when select [1)aliyousuf ] and delete --> the start = 0 and end = number
 (crash)

Kunda

2015-10-26 23:58

manager   ~0036962

Having weird issues with footnotes.. I can't test this patch ATM
Sorry!

aliyousuf

2015-10-28 08:43

reporter   ~0037023

In this problem

I found the problem was in order of the code in file canvasmode_edit.cpp

aliyousuf

2015-10-28 08:44

reporter   ~0037024

Last edited: 2015-10-28 10:56

View 2 revisions

I send this patch file

ale

2015-10-28 10:56

manager   ~0037032

hi aliyousuf,

two "formal" comments on you patch:

- the scribus project is using tabs for indenting... when working with scribus you should set up your editor to also use tabs. (my editor is also set by default to four spaces and i have to check about it every time i make patches for scribus)

- it's important that you keep the indent after the if. in my eyes every if () should have always have curly braces but the scribus projects does prefers just the indent for single line actions after an if.
  of course, the code does work without the indent! but as it is, the code is hard to read and errors are likely to happen when further changing that part of the code!

since the patch is very short it's not 100% necessary that you update the patch (the changes are easier to apply by editing the file...) but you should think about it in the future :-)

aliyousuf

2015-10-28 11:19

reporter  

issue0011765.patch (846 bytes)
Index: scribus/canvasmode_edit.cpp
===================================================================
--- scribus/canvasmode_edit.cpp	(revision 20505)
+++ scribus/canvasmode_edit.cpp	(working copy)
@@ -141,6 +141,11 @@
 		}
 		blinkTextCursor();
 
+		if (!currItem->isTextFrame() || (currItem->isAutoNoteFrame() && currItem->asNoteFrame()->notesList().isEmpty()))
+		{
+			m_ScMW->slotDocCh(false);
+		}
+
 		currItem->handleModeEditKey(e, m_keyRepeat);
 		if (currItem->isAutoNoteFrame() && currItem->asNoteFrame()->notesList().isEmpty())
 		{
@@ -151,8 +156,6 @@
 			}
 		}
 		m_keyRepeat = oldKeyRepeat;
-		if (!currItem->isTextFrame() || (currItem->isAutoNoteFrame() && currItem->asNoteFrame()->notesList().isEmpty()))
-			m_ScMW->slotDocCh(false);
 		m_doc->regionsChanged()->update(QRectF());
 	}
 	m_keyRepeat = false;
issue0011765.patch (846 bytes)

aliyousuf

2015-10-28 11:22

reporter   ~0037034

Last edited: 2015-10-30 14:36

View 2 revisions

hi ale,

thank you for your comments

I upload an other patch

aliyousuf

2015-10-28 14:17

reporter   ~0037040

I solve this problem

aliyousuf

2015-10-29 05:09

reporter   ~0037079

I tried to give a solution for this issue. please have a look to the patch

cbradney

2015-10-30 16:17

administrator   ~0037122

Jluc - please test, I cannot reproduce the crash.

JLuc

2015-10-30 21:47

developer   ~0037129

Oh you cant reproduce that crash craig ?

I tested the patch and YES it works : no more crash with it.

Please merge !

Kunda

2015-11-03 01:11

manager   ~0037163

Committed in r20511 by Craig
Patched by aliyousuf, Thanks!

Issue History

Date Modified Username Field Change
2013-10-05 15:06 JLuc New Issue
2013-10-05 15:15 JLuc Note Added: 0030671
2013-10-05 15:21 JLuc Note Added: 0030672
2013-10-06 22:37 FirasH Note Added: 0030681
2013-10-11 12:55 cezaryece Note Added: 0030719
2013-10-11 12:55 cezaryece Status new => feedback
2013-10-14 23:25 JLuc Status feedback => new
2013-10-18 19:15 JLuc Note Added: 0030738
2013-10-19 14:58 cezaryece Note Added: 0030744
2013-10-20 10:04 JLuc Note Added: 0030749
2013-10-20 10:14 JLuc Note Edited: 0030749 View Revisions
2013-10-20 10:17 JLuc Note Edited: 0030749 View Revisions
2013-10-20 10:18 JLuc Note Added: 0030751
2013-10-20 10:46 JLuc Note Edited: 0030749 View Revisions
2013-10-20 10:47 JLuc Note Edited: 0030751 View Revisions
2013-10-20 10:55 JLuc Note Edited: 0030751 View Revisions
2013-10-23 13:43 JLuc Note Added: 0030764
2013-10-23 13:44 JLuc Note Edited: 0030764 View Revisions
2013-10-23 19:56 cezaryece Note Added: 0030768
2013-10-23 19:56 cezaryece Status new => resolved
2013-10-23 19:56 cezaryece Resolution open => fixed
2013-10-23 19:56 cezaryece Assigned To => cezaryece
2013-10-23 21:11 JLuc Note Added: 0030770
2013-10-23 21:12 JLuc Note Edited: 0030764 View Revisions
2013-10-23 21:13 JLuc Note Edited: 0030770 View Revisions
2013-10-24 12:08 cezaryece Status resolved => feedback
2013-10-24 12:08 cezaryece Resolution fixed => reopened
2013-10-24 19:12 cbradney Note Added: 0030774
2013-10-24 19:25 JLuc Note Added: 0030775
2013-10-24 19:25 JLuc Status feedback => assigned
2013-11-14 14:31 cezaryece Status assigned => acknowledged
2014-12-15 11:28 JLuc Relationship added child of 0012496
2014-12-15 11:32 JLuc Assigned To cezaryece =>
2015-05-06 20:09 Kunda Patch => No
2015-05-06 20:09 Kunda Note Added: 0035052
2015-05-06 20:09 Kunda Severity minor => crash
2015-05-06 20:09 Kunda Target Version => 1.5.1
2015-05-06 20:10 Kunda Summary crash when deletind footnote's text => crash when deleting footnote's text
2015-10-16 17:31 JLuc Note Added: 0036686
2015-10-21 16:21 Kunda Note Added: 0036784
2015-10-22 10:25 aliyousuf File Added: issue11765.patch
2015-10-22 16:41 JLuc Note Added: 0036832
2015-10-23 16:37 user5122 Note Added: 0036865
2015-10-23 18:11 aliyousuf Note Added: 0036872
2015-10-23 18:12 aliyousuf Note Added: 0036873
2015-10-23 18:59 JLuc Note Added: 0036875
2015-10-26 10:10 aliyousuf Tag Attached: HOST-Oman
2015-10-26 13:54 aliyousuf Note Added: 0036945
2015-10-26 13:57 aliyousuf Note Edited: 0036945 View Revisions
2015-10-26 13:58 aliyousuf Note Edited: 0036945 View Revisions
2015-10-26 23:58 Kunda Note Added: 0036962
2015-10-27 05:42 aliyousuf File Deleted: issue11765.patch
2015-10-28 08:33 aliyousuf File Added: issue0011765.patch
2015-10-28 08:43 aliyousuf Note Added: 0037023
2015-10-28 08:44 aliyousuf Note Added: 0037024
2015-10-28 10:56 ale Note Added: 0037032
2015-10-28 10:56 ale Note Edited: 0037024 View Revisions
2015-10-28 11:19 aliyousuf File Deleted: issue0011765.patch
2015-10-28 11:19 aliyousuf File Added: issue0011765.patch
2015-10-28 11:22 aliyousuf Note Added: 0037034
2015-10-28 12:34 Kunda Patch No => Yes
2015-10-28 14:17 aliyousuf Note Added: 0037040
2015-10-29 05:09 aliyousuf Note Added: 0037079
2015-10-30 14:36 aliyousuf Note Edited: 0037034 View Revisions
2015-10-30 16:17 cbradney Note Added: 0037122
2015-10-30 21:47 JLuc Note Added: 0037129
2015-10-30 21:47 JLuc Tag Attached: patch_tested_ok
2015-11-02 09:40 cbradney Status acknowledged => resolved
2015-11-02 09:40 cbradney Fixed in Version => 1.5.1svn
2015-11-02 09:40 cbradney Resolution reopened => fixed
2015-11-02 09:40 cbradney Assigned To => cbradney
2015-11-03 01:11 Kunda Note Added: 0037163
2015-11-03 01:11 Kunda Status resolved => closed
2015-11-03 01:11 Kunda Tag Detached: patch_tested_ok